<h5 class="text-center text-dark mb-3">New Post</h5>
<small class="form-text text-center soc-alert my-2" style="border-radius: 0;">{{statusMessage | uppercase}}</small>
<div *ngIf="loader" class="text-center">
  Please wait.! data posting....
</div>
<div class="container">
  <form [formGroup]="createNewPost" (ngSubmit)="savePost()">
    <input type="hidden" name="id" formControlName="id">
    <div class="form-group">
      <!-- <label for="exampleFormControlTextarea1">Write new post</label> -->
      <textarea class="form-control" id="exampleFormControlTextarea1" rows="10" placeholder="Write new post..."
        formControlName="postdata"></textarea>
        <!-- <div *ngIf="createNewPost.get('postdata').errors && createNewPost.get('postdata').touched || createNewPost.get('postdata').dirty">
          <span *ngIf="createNewPost.get('postdata').errors.required">Please write post.!</span>
        </div> -->
    </div>
    <div class="form-group">
      <input type="hidden" name="postedby" formControlName="postedby" [(ngModel)]="loggedinUserName" disabled>
    </div>
    <div class="text-center">
      <button class="btn primary-btn" [disabled]="createNewPost.invalid">P O S T</button>
    </div>
  </form>
</div>